package com.hisschemoller.view.components 
{
	import flash.events.Event;
	import assets.Title;

	import com.bit101.components.Component;
	import com.hisschemoller.view.components.enum.Colors;

	import flash.display.DisplayObjectContainer;
	/**
	 * @author Wouter Hisschemoller
	 * (c) Apr 3, 2010
	 */
	public class AppBase extends Component 
	{
		private var _title : Title;

		public function AppBase(parent : DisplayObjectContainer = null, xpos : Number = 0, ypos : Number = 0)
		{
			super(parent, xpos, ypos);
		}

		/**
		 * 
		 */
		override public function draw() : void
		{
			graphics.clear();
			graphics.beginFill(Colors.ORANGE);
			graphics.drawRect(0, 0, stage.stageWidth, stage.stageHeight);
			
			super.draw();
		}

		/**
		 * Create child display objects.
		 */
		override protected function addChildren() : void
		{
			_title = new Title();
			addChild(_title);
			
			stage.addEventListener(Event.RESIZE, stageResizeHandler);
		}
		
		/**
		 * 
		 */
		private function stageResizeHandler(event : Event) : void
		{
			invalidate();
		}
	}
}
