package com.hisschemoller.controller 
{
	import de.popforge.audio.output.Audio;
	import de.popforge.format.wav.WavFormat;

	import com.hisschemoller.utils.audio.vo.SoundVO;

	import org.puremvc.as3.interfaces.ICommand;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;

	import flash.net.FileReference;
	import flash.utils.ByteArray;
	/**
	 * @author Wouter Hisschemoller
	 * (c) Jan 22, 2010
	 */
	public class FileSaveCommand extends SimpleCommand implements ICommand 
	{
		override public function execute(notification : INotification) : void
		{
			var soundVO : SoundVO = SoundVO(notification.getBody());
			
			/** Convert the byteArray to a wave file. */
			var wavBytes : ByteArray = WavFormat.encodeVector(soundVO.samples, soundVO.channels, Audio.BIT16, Audio.RATE44100);
			
			/** Save the file. */
			var fileReference : FileReference = new FileReference();
			fileReference.save(wavBytes, "audio.wav");
		}
	}
}
