package com.hisschemoller.utils.audio.vo
{
	import flash.utils.ByteArray;
	/**
	 * @author Wouter Hisschemöller
	 * (c) May 12, 2009
	 */
	public class SoundVO 
	{
		public var id : String;
		public var url : String;
		public var byteArray : ByteArray = new ByteArray();
		public var samples : Vector.<SampleVO>;
		public var channels : uint;
		public var numSamplesTotal : int;
		
		public function parseXML(o : XML) : Boolean
		{
			id = o.@id;
			url = o.@url;
			
			return true;
		}
		
		/**
		 * 
		 */
		public function clone() : SoundVO
		{
			var soundVO : SoundVO = new SoundVO();
			soundVO.id = id;
			soundVO.url = url;
			soundVO.byteArray.writeBytes(byteArray);
			soundVO.samples = samples.slice();
			soundVO.channels = channels;
			soundVO.numSamplesTotal = numSamplesTotal;
			
			return soundVO;
		}
	}
}
